Package install error in kali linux

aaryan

New Member
Joined
Sep 29, 2020
Messages
18
Reaction score
0
Credits
392
/Downloads$ sudo dpkg -i libmpfr4_3.1.2-2_amd64.deb
Selecting previously unselected package libmpfr4:amd64.
dpkg: regarding libmpfr4_3.1.2-2_amd64.deb containing libmpfr4:amd64, pre-dependency problem:
libmpfr4 pre-depends on multiarch-support
multiarch-support is not installed.

dpkg: error processing archive libmpfr4_3.1.2-2_amd64.deb (--install):
pre-dependency problem - not installing libmpfr4:amd64
Errors were encountered while processing:
libmpfr4_3.1.2-2_amd64.deb
 


f33dm3bits

Gold Member
Gold Supporter
Joined
Dec 11, 2019
Messages
4,900
Reaction score
3,527
Credits
35,667
If you are running i386 architecture you probably need to activate amd64 architecture in order to install 64 bit packages.
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Linux.org Hosting Donations
Consider making a donation

Members online


Top